Bug 185776 - [UPDATE] games/affenspiel, fix issues reported by portlint
Summary: [UPDATE] games/affenspiel, fix issues reported by portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-14 20:10 UTC by hardy.schumacher
Modified: 2014-02-07 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.03 KB, patch)
2014-01-14 20:10 UTC, hardy.schumacher
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2014-01-14 20:10:00 UTC
Portlint reported some issues related to new options framework and license settings.

Fix: Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Alex Kozlov 2014-02-05 17:20:14 UTC
Hi, Hardy

There is no need to wrap docs installation in .if ${PORTS_OPTIONS:MDOCS}
it's a bug in portlint, please see https://wiki.freebsd.org/ports/StageDir
Also there is a handy trick for DOCS files installation:
- ${INSTALL_DATA} ${WRKSRC}/COPYRIGHT ${STAGEDIR}${DOCSDIR}
- ${INSTALL_DATA} ${WRKSRC}/README ${STAGEDIR}${DOCSDIR}
+ ${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}

I'll commit these changes shortly, there is no need for you to update the patch.

P.S. Perhaps you want to adopt this port?


-- 
Alex
Comment 2 dfilter service freebsd_committer 2014-02-07 12:52:58 UTC
Author: ak
Date: Fri Feb  7 12:52:51 2014
New Revision: 343219
URL: http://svnweb.freebsd.org/changeset/ports/343219
QAT: https://qat.redports.org/buildarchive/r343219/

Log:
  - Improve Makefile, pet portlint
  
  PR:	ports/185776 (based on)
  Submitted by:	Hardy Schumacher <hardy.schumacher@gmx.de>

Modified:
  head/games/affenspiel/Makefile

Modified: head/games/affenspiel/Makefile
==============================================================================
--- head/games/affenspiel/Makefile	Fri Feb  7 12:41:40 2014	(r343218)
+++ head/games/affenspiel/Makefile	Fri Feb  7 12:52:51 2014	(r343219)
@@ -11,9 +11,9 @@ MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Little puzzle game with monkey for X Window System
 
 LICENSE=	unknown
-LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
-LICENSE_FILE=	${WRKSRC}/COPYRIGHT
 LICENSE_NAME=	just Copyright
+LICENSE_FILE=	${WRKSRC}/COPYRIGHT
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
@@ -31,7 +31,6 @@ OPTIONS_DEFINE=	DOCS
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/affenspiel ${STAGEDIR}${PREFIX}/bin
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/COPYRIGHT ${STAGEDIR}${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alex Kozlov freebsd_committer 2014-02-07 12:54:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 4 Alex Kozlov freebsd_committer 2014-02-07 12:54:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!